FreeMat

- Main Page
- Related Pages

vtkPLYReader

Section: Visualization Toolkit IO Classes

# Usage

vtkPLYReader is a source object that reads polygonal data in Stanford University PLY file format (see http://graphics.stanford.edu/data/3Dscanrep). It requires that the elements "vertex" and "face" are defined. The "vertex" element must have the properties "x", "y", and "z". The "face" element must have the property "vertex_indices" defined. Optionally, if the "face" element has the properties "intensity" and/or the triplet "red", "green", and "blue"; these are read and added as scalars to the output data.

To create an instance of class vtkPLYReader, simply invoke its constructor as follows

      obj = vtkPLYReader

# Methods

The class vtkPLYReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPLYReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPLYReader = obj.NewInstance ()`
- `vtkPLYReader = obj.SafeDownCast (vtkObject o)`
- `obj.SetFileName (string )` - Specify file name of stereo lithography file.
- `string = obj.GetFileName ()` - Specify file name of stereo lithography file.